<!DOCTYPE HTML>
<html class='koin-fullheight'>
    <head>
        <title>Koin Chart View</title>

        <link rel="stylesheet" type="text/css" href="lib/w2ui-dark.min.css" />
        <script type="text/javascript" src="charting_library/charting_library.min.js"></script>
        <script type="text/javascript" src="lib/jquery-3.3.1.min.js"></script>
        <script type="text/javascript" src="lib/w2ui.min.js"></script>

        <link rel="stylesheet" type="text/css" href="grid.css" />
        <script type="module" src="chart.js"></script>
    </head>

    <body>
        <div id="chart_and_book" style="position: absolute; 
                                        width: 70%; 
                                        height: 100%; 
                                        left: 0;">
            <div id="tv_chart_container" style="height: 70%; 
                                                background: gray;">         
            </div>
            <div id="orderbook" style="height: 30%;">
                <div id="orderbook_bid" style="position: absolute; 
                                               left: 0px; 
                                               width: 50%; 
                                               height: 30%; 
                                               background: #373f50;
                                               padding: 10px;">
                </div>
                <div id="orderbook_ask" style="position: absolute; 
                                               right: 0; 
                                               width: 50%; 
                                               height: 30%; 
                                               background: #373f50;
                                               padding: 10px">
                </div>
            </div>
        </div>
        <div id="stats_and_trades" style="right: 0px;
                                          height: 100%;
                                          width: 30%;
                                          position: absolute;
                                          background: #373f50; 
                                          display: flex; 
                                          flex-direction: column;">
            <div id="stats" style="background: #434c67; 
                                   margin: 10px; 
                                   padding: 10px;">
                <table style="width: 100%; height: 100%;">
                    <tbody>
                        <style scoped>
                            .stat-label-name {
                                color: #b5bdcb;
                                font-family: sans-serif;
                                font-size: smaller;
                            }
                            .stat-label-value {
                                color: white;
                                font-family: sans-serif;
                                font-size: smaller;
                            }
                            .koin-change-red {
                                color: red;
                            }
                            .koin-change-green {
                                color: lightgreen;
                            }
                        </style>
                        <tr>
                            <td class='stat-label-name' colspan="2">Volume (24h)</td>
                            <td class='stat-label-value' colspan="2" id='koin-stat-volume_base'></td>
                        </tr>
                        <tr>
                            <td class='stat-label-name' colspan="2">$Volume (24h)</td>
                            <td class='stat-label-value' colspan="2" id='koin-stat-volume_quote'></td>
                        </tr>
                        <tr>
                            <td class='stat-label-name' colspan="2">Circ. Supply</td>
                            <td class='stat-label-value' colspan="2">N/A</td>
                        </tr>
                        <tr>
                            <td class='stat-label-name' colspan="2">Market Cap.</td>
                            <td class='stat-label-value' colspan="2">N/A</td>
                        </tr>
                        <tr>
                            <td colspan="4">&nbsp;</td>
                        </tr>
                        <tr>
                            <td class='stat-label-name'>Last</td>
                            <td class='stat-label-value' id='koin-stat-last_price'></td>
                            <td class='stat-label-name'>Net</td>
                            <td class='stat-label-value' id='koin-stat-net'></td>
                        </tr>
                        <tr>
                            <td class='stat-label-name'>Bid</td>
                            <td class='stat-label-value' id='koin-stat-bid_price'></td>
                            <td class='stat-label-name'>% (24h)</td>
                            <td class='stat-label-value' id='koin-stat-change'></td>
                        </tr>
                        <tr>
                            <td class='stat-label-name'>Ask</td>
                            <td class='stat-label-value' id='koin-stat-ask_price'></td>
                        </tr>
                        <tr>
                            <td class='stat-label-name' colspan="4">&nbsp;</td>
                        </tr>
                        <tr>
                            <td class='stat-label-name'>24H Hi</td>
                            <td class='stat-label-value' id='koin-stat-high_price'></td>
                        </tr>
                        <tr>
                            <td class='stat-label-name'>24H Lo</td>
                            <td class='stat-label-value' id='koin-stat-low_price'></td>
                        </tr>
                        <tr>
                            <td class='stat-label-name' colspan="4">&nbsp;</td>
                        </tr>
                    </tbody>
                </table>
            </div>
            <div id="trades" style="flex-grow: 100; background: black;"></div>
        </div>
    </body>
    <script type="module" src="ask_bid_trade.js"></script>
</html>
